package com.yeejoin.amos.boot.biz.common.annotation;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Documented
public @interface TechnicalParameter {
    String key();

    String label();

    ParamType type();

    /**
     *  cb_data_dictionary表的type
     * @return 字典code
     */
    String dictCode() default "";

    String unit() default "";

    enum ParamType {
        STRING, INTEGER, FLOAT, BIG_DECIMAL, BOOLEAN, OBJECT, DATE
    }

}
